commit:     bc91792833e5c385af3ecf00308a38bd312610fa
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 21 23:19:19 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec 21 23:19:38 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc917928

sys-apps/memtester: add 4.6.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/memtester/Manifest               |  1 +
 sys-apps/memtester/memtester-4.6.0.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/sys-apps/memtester/Manifest b/sys-apps/memtester/Manifest
index d5783e72c9c5..05abf47f49f3 100644
--- a/sys-apps/memtester/Manifest
+++ b/sys-apps/memtester/Manifest
@@ -1 +1,2 @@
 DIST memtester-4.5.1.tar.gz 23655 BLAKE2B 
bb7214a41f7cfa39dff6ab4f1efcd1788f5e6bd4cc1defba8c77ae030321703c1da7b6c1c6f1a67ea59e2cb9fc960772b710050b7c6d14b0799db4d9d99e9c31
 SHA512 
cf5744f11a931338a94158aee3047ad2dab18b0cb27b8998184a98f33aaebc678beec74841a2bcbbd7154cc2e46a20f746d9cae01a9274714bcedb93f29f8c80
+DIST memtester-4.6.0.tar.gz 24229 BLAKE2B 
521e8f189cd4105af3824d780a1bb91cc59bf33863ca92ea8d01c5cda3633beb8bc6a32dee8321c201164789e0d0c95eb68f5017739432a14c6165e44931f9d0
 SHA512 
d60dd46a5d4ecb2ab35a5acdb99b714584cdf601b81454e3f7fa9dd224555b7a48cef666538b43c5dd7b2870bb74284e0cae6fb2eed19cf706818c7a955ab161

diff --git a/sys-apps/memtester/memtester-4.6.0.ebuild 
b/sys-apps/memtester/memtester-4.6.0.ebuild
new file mode 100644
index 000000000000..52c171c1b2ec
--- /dev/null
+++ b/sys-apps/memtester/memtester-4.6.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Userspace utility for testing the memory subsystem for faults"
+HOMEPAGE="http://pyropus.ca/software/memtester/";
+SRC_URI="
+       https://pyropus.ca./software/memtester/${P}.tar.gz
+       https://pyropus.ca./software/memtester/old-versions/${P}.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86"
+
+src_configure() {
+       echo "$(tc-getCC) ${CFLAGS} ${CPPFLAGS} -DPOSIX -c" > conf-cc || die
+       echo "$(tc-getCC) ${CFLAGS} ${LDFLAGS}" > conf-ld || die
+}
+
+src_install() {
+       dosbin memtester
+       doman memtester.8
+       dodoc BUGS CHANGELOG README README.tests
+}

Reply via email to